#!/usr/bin/env bash

CONFIG=${CONFIG:="/etc/vpp/startup.conf"}
NETNS=${NETNS:="dataplane"}

echo "Creating dataplane namespace"
/usr/bin/mkdir -p /etc/netns/$NETNS
/usr/bin/touch /etc/netns/$NETNS/resolv.conf
/usr/sbin/ip netns add $NETNS

echo "Starting VPP"
exec /usr/bin/vpp -c $CONFIG
